Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.89.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
20.89.0.0
Broadcast address
20.89.255.255
First usable
20.89.0.1
Last usable
20.89.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 14590000 · Integer 341377024 to 341442559
Reverse DNS zone
89.20.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.01011001..00000000.0000000020.89.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00010100.01011001..00000000.0000000020.89.0.0
Broadcast00010100.01011001..11111111.1111111120.89.255.255
Split into smaller subnets/24

20.89.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.89.0.0/2420.89.0.1 to 20.89.0.25420.89.0.255254
220.89.1.0/2420.89.1.1 to 20.89.1.25420.89.1.255254
320.89.2.0/2420.89.2.1 to 20.89.2.25420.89.2.255254
420.89.3.0/2420.89.3.1 to 20.89.3.25420.89.3.255254
520.89.4.0/2420.89.4.1 to 20.89.4.25420.89.4.255254
620.89.5.0/2420.89.5.1 to 20.89.5.25420.89.5.255254
720.89.6.0/2420.89.6.1 to 20.89.6.25420.89.6.255254
820.89.7.0/2420.89.7.1 to 20.89.7.25420.89.7.255254
920.89.8.0/2420.89.8.1 to 20.89.8.25420.89.8.255254
1020.89.9.0/2420.89.9.1 to 20.89.9.25420.89.9.255254
1120.89.10.0/2420.89.10.1 to 20.89.10.25420.89.10.255254
1220.89.11.0/2420.89.11.1 to 20.89.11.25420.89.11.255254
1320.89.12.0/2420.89.12.1 to 20.89.12.25420.89.12.255254
1420.89.13.0/2420.89.13.1 to 20.89.13.25420.89.13.255254
1520.89.14.0/2420.89.14.1 to 20.89.14.25420.89.14.255254
1620.89.15.0/2420.89.15.1 to 20.89.15.25420.89.15.255254
1720.89.16.0/2420.89.16.1 to 20.89.16.25420.89.16.255254
1820.89.17.0/2420.89.17.1 to 20.89.17.25420.89.17.255254
1920.89.18.0/2420.89.18.1 to 20.89.18.25420.89.18.255254
2020.89.19.0/2420.89.19.1 to 20.89.19.25420.89.19.255254
2120.89.20.0/2420.89.20.1 to 20.89.20.25420.89.20.255254
2220.89.21.0/2420.89.21.1 to 20.89.21.25420.89.21.255254
2320.89.22.0/2420.89.22.1 to 20.89.22.25420.89.22.255254
2420.89.23.0/2420.89.23.1 to 20.89.23.25420.89.23.255254
2520.89.24.0/2420.89.24.1 to 20.89.24.25420.89.24.255254
2620.89.25.0/2420.89.25.1 to 20.89.25.25420.89.25.255254
2720.89.26.0/2420.89.26.1 to 20.89.26.25420.89.26.255254
2820.89.27.0/2420.89.27.1 to 20.89.27.25420.89.27.255254
2920.89.28.0/2420.89.28.1 to 20.89.28.25420.89.28.255254
3020.89.29.0/2420.89.29.1 to 20.89.29.25420.89.29.255254
3120.89.30.0/2420.89.30.1 to 20.89.30.25420.89.30.255254
3220.89.31.0/2420.89.31.1 to 20.89.31.25420.89.31.255254
3320.89.32.0/2420.89.32.1 to 20.89.32.25420.89.32.255254
3420.89.33.0/2420.89.33.1 to 20.89.33.25420.89.33.255254
3520.89.34.0/2420.89.34.1 to 20.89.34.25420.89.34.255254
3620.89.35.0/2420.89.35.1 to 20.89.35.25420.89.35.255254
3720.89.36.0/2420.89.36.1 to 20.89.36.25420.89.36.255254
3820.89.37.0/2420.89.37.1 to 20.89.37.25420.89.37.255254
3920.89.38.0/2420.89.38.1 to 20.89.38.25420.89.38.255254
4020.89.39.0/2420.89.39.1 to 20.89.39.25420.89.39.255254
4120.89.40.0/2420.89.40.1 to 20.89.40.25420.89.40.255254
4220.89.41.0/2420.89.41.1 to 20.89.41.25420.89.41.255254
4320.89.42.0/2420.89.42.1 to 20.89.42.25420.89.42.255254
4420.89.43.0/2420.89.43.1 to 20.89.43.25420.89.43.255254
4520.89.44.0/2420.89.44.1 to 20.89.44.25420.89.44.255254
4620.89.45.0/2420.89.45.1 to 20.89.45.25420.89.45.255254
4720.89.46.0/2420.89.46.1 to 20.89.46.25420.89.46.255254
4820.89.47.0/2420.89.47.1 to 20.89.47.25420.89.47.255254
4920.89.48.0/2420.89.48.1 to 20.89.48.25420.89.48.255254
5020.89.49.0/2420.89.49.1 to 20.89.49.25420.89.49.255254
5120.89.50.0/2420.89.50.1 to 20.89.50.25420.89.50.255254
5220.89.51.0/2420.89.51.1 to 20.89.51.25420.89.51.255254
5320.89.52.0/2420.89.52.1 to 20.89.52.25420.89.52.255254
5420.89.53.0/2420.89.53.1 to 20.89.53.25420.89.53.255254
5520.89.54.0/2420.89.54.1 to 20.89.54.25420.89.54.255254
5620.89.55.0/2420.89.55.1 to 20.89.55.25420.89.55.255254
5720.89.56.0/2420.89.56.1 to 20.89.56.25420.89.56.255254
5820.89.57.0/2420.89.57.1 to 20.89.57.25420.89.57.255254
5920.89.58.0/2420.89.58.1 to 20.89.58.25420.89.58.255254
6020.89.59.0/2420.89.59.1 to 20.89.59.25420.89.59.255254
6120.89.60.0/2420.89.60.1 to 20.89.60.25420.89.60.255254
6220.89.61.0/2420.89.61.1 to 20.89.61.25420.89.61.255254
6320.89.62.0/2420.89.62.1 to 20.89.62.25420.89.62.255254
6420.89.63.0/2420.89.63.1 to 20.89.63.25420.89.63.255254
6520.89.64.0/2420.89.64.1 to 20.89.64.25420.89.64.255254
6620.89.65.0/2420.89.65.1 to 20.89.65.25420.89.65.255254
6720.89.66.0/2420.89.66.1 to 20.89.66.25420.89.66.255254
6820.89.67.0/2420.89.67.1 to 20.89.67.25420.89.67.255254
6920.89.68.0/2420.89.68.1 to 20.89.68.25420.89.68.255254
7020.89.69.0/2420.89.69.1 to 20.89.69.25420.89.69.255254
7120.89.70.0/2420.89.70.1 to 20.89.70.25420.89.70.255254
7220.89.71.0/2420.89.71.1 to 20.89.71.25420.89.71.255254
7320.89.72.0/2420.89.72.1 to 20.89.72.25420.89.72.255254
7420.89.73.0/2420.89.73.1 to 20.89.73.25420.89.73.255254
7520.89.74.0/2420.89.74.1 to 20.89.74.25420.89.74.255254
7620.89.75.0/2420.89.75.1 to 20.89.75.25420.89.75.255254
7720.89.76.0/2420.89.76.1 to 20.89.76.25420.89.76.255254
7820.89.77.0/2420.89.77.1 to 20.89.77.25420.89.77.255254
7920.89.78.0/2420.89.78.1 to 20.89.78.25420.89.78.255254
8020.89.79.0/2420.89.79.1 to 20.89.79.25420.89.79.255254
8120.89.80.0/2420.89.80.1 to 20.89.80.25420.89.80.255254
8220.89.81.0/2420.89.81.1 to 20.89.81.25420.89.81.255254
8320.89.82.0/2420.89.82.1 to 20.89.82.25420.89.82.255254
8420.89.83.0/2420.89.83.1 to 20.89.83.25420.89.83.255254
8520.89.84.0/2420.89.84.1 to 20.89.84.25420.89.84.255254
8620.89.85.0/2420.89.85.1 to 20.89.85.25420.89.85.255254
8720.89.86.0/2420.89.86.1 to 20.89.86.25420.89.86.255254
8820.89.87.0/2420.89.87.1 to 20.89.87.25420.89.87.255254
8920.89.88.0/2420.89.88.1 to 20.89.88.25420.89.88.255254
9020.89.89.0/2420.89.89.1 to 20.89.89.25420.89.89.255254
9120.89.90.0/2420.89.90.1 to 20.89.90.25420.89.90.255254
9220.89.91.0/2420.89.91.1 to 20.89.91.25420.89.91.255254
9320.89.92.0/2420.89.92.1 to 20.89.92.25420.89.92.255254
9420.89.93.0/2420.89.93.1 to 20.89.93.25420.89.93.255254
9520.89.94.0/2420.89.94.1 to 20.89.94.25420.89.94.255254
9620.89.95.0/2420.89.95.1 to 20.89.95.25420.89.95.255254
9720.89.96.0/2420.89.96.1 to 20.89.96.25420.89.96.255254
9820.89.97.0/2420.89.97.1 to 20.89.97.25420.89.97.255254
9920.89.98.0/2420.89.98.1 to 20.89.98.25420.89.98.255254
10020.89.99.0/2420.89.99.1 to 20.89.99.25420.89.99.255254
10120.89.100.0/2420.89.100.1 to 20.89.100.25420.89.100.255254
10220.89.101.0/2420.89.101.1 to 20.89.101.25420.89.101.255254
10320.89.102.0/2420.89.102.1 to 20.89.102.25420.89.102.255254
10420.89.103.0/2420.89.103.1 to 20.89.103.25420.89.103.255254
10520.89.104.0/2420.89.104.1 to 20.89.104.25420.89.104.255254
10620.89.105.0/2420.89.105.1 to 20.89.105.25420.89.105.255254
10720.89.106.0/2420.89.106.1 to 20.89.106.25420.89.106.255254
10820.89.107.0/2420.89.107.1 to 20.89.107.25420.89.107.255254
10920.89.108.0/2420.89.108.1 to 20.89.108.25420.89.108.255254
11020.89.109.0/2420.89.109.1 to 20.89.109.25420.89.109.255254
11120.89.110.0/2420.89.110.1 to 20.89.110.25420.89.110.255254
11220.89.111.0/2420.89.111.1 to 20.89.111.25420.89.111.255254
11320.89.112.0/2420.89.112.1 to 20.89.112.25420.89.112.255254
11420.89.113.0/2420.89.113.1 to 20.89.113.25420.89.113.255254
11520.89.114.0/2420.89.114.1 to 20.89.114.25420.89.114.255254
11620.89.115.0/2420.89.115.1 to 20.89.115.25420.89.115.255254
11720.89.116.0/2420.89.116.1 to 20.89.116.25420.89.116.255254
11820.89.117.0/2420.89.117.1 to 20.89.117.25420.89.117.255254
11920.89.118.0/2420.89.118.1 to 20.89.118.25420.89.118.255254
12020.89.119.0/2420.89.119.1 to 20.89.119.25420.89.119.255254
12120.89.120.0/2420.89.120.1 to 20.89.120.25420.89.120.255254
12220.89.121.0/2420.89.121.1 to 20.89.121.25420.89.121.255254
12320.89.122.0/2420.89.122.1 to 20.89.122.25420.89.122.255254
12420.89.123.0/2420.89.123.1 to 20.89.123.25420.89.123.255254
12520.89.124.0/2420.89.124.1 to 20.89.124.25420.89.124.255254
12620.89.125.0/2420.89.125.1 to 20.89.125.25420.89.125.255254
12720.89.126.0/2420.89.126.1 to 20.89.126.25420.89.126.255254
12820.89.127.0/2420.89.127.1 to 20.89.127.25420.89.127.255254
12920.89.128.0/2420.89.128.1 to 20.89.128.25420.89.128.255254
13020.89.129.0/2420.89.129.1 to 20.89.129.25420.89.129.255254
13120.89.130.0/2420.89.130.1 to 20.89.130.25420.89.130.255254
13220.89.131.0/2420.89.131.1 to 20.89.131.25420.89.131.255254
13320.89.132.0/2420.89.132.1 to 20.89.132.25420.89.132.255254
13420.89.133.0/2420.89.133.1 to 20.89.133.25420.89.133.255254
13520.89.134.0/2420.89.134.1 to 20.89.134.25420.89.134.255254
13620.89.135.0/2420.89.135.1 to 20.89.135.25420.89.135.255254
13720.89.136.0/2420.89.136.1 to 20.89.136.25420.89.136.255254
13820.89.137.0/2420.89.137.1 to 20.89.137.25420.89.137.255254
13920.89.138.0/2420.89.138.1 to 20.89.138.25420.89.138.255254
14020.89.139.0/2420.89.139.1 to 20.89.139.25420.89.139.255254
14120.89.140.0/2420.89.140.1 to 20.89.140.25420.89.140.255254
14220.89.141.0/2420.89.141.1 to 20.89.141.25420.89.141.255254
14320.89.142.0/2420.89.142.1 to 20.89.142.25420.89.142.255254
14420.89.143.0/2420.89.143.1 to 20.89.143.25420.89.143.255254
14520.89.144.0/2420.89.144.1 to 20.89.144.25420.89.144.255254
14620.89.145.0/2420.89.145.1 to 20.89.145.25420.89.145.255254
14720.89.146.0/2420.89.146.1 to 20.89.146.25420.89.146.255254
14820.89.147.0/2420.89.147.1 to 20.89.147.25420.89.147.255254
14920.89.148.0/2420.89.148.1 to 20.89.148.25420.89.148.255254
15020.89.149.0/2420.89.149.1 to 20.89.149.25420.89.149.255254
15120.89.150.0/2420.89.150.1 to 20.89.150.25420.89.150.255254
15220.89.151.0/2420.89.151.1 to 20.89.151.25420.89.151.255254
15320.89.152.0/2420.89.152.1 to 20.89.152.25420.89.152.255254
15420.89.153.0/2420.89.153.1 to 20.89.153.25420.89.153.255254
15520.89.154.0/2420.89.154.1 to 20.89.154.25420.89.154.255254
15620.89.155.0/2420.89.155.1 to 20.89.155.25420.89.155.255254
15720.89.156.0/2420.89.156.1 to 20.89.156.25420.89.156.255254
15820.89.157.0/2420.89.157.1 to 20.89.157.25420.89.157.255254
15920.89.158.0/2420.89.158.1 to 20.89.158.25420.89.158.255254
16020.89.159.0/2420.89.159.1 to 20.89.159.25420.89.159.255254
16120.89.160.0/2420.89.160.1 to 20.89.160.25420.89.160.255254
16220.89.161.0/2420.89.161.1 to 20.89.161.25420.89.161.255254
16320.89.162.0/2420.89.162.1 to 20.89.162.25420.89.162.255254
16420.89.163.0/2420.89.163.1 to 20.89.163.25420.89.163.255254
16520.89.164.0/2420.89.164.1 to 20.89.164.25420.89.164.255254
16620.89.165.0/2420.89.165.1 to 20.89.165.25420.89.165.255254
16720.89.166.0/2420.89.166.1 to 20.89.166.25420.89.166.255254
16820.89.167.0/2420.89.167.1 to 20.89.167.25420.89.167.255254
16920.89.168.0/2420.89.168.1 to 20.89.168.25420.89.168.255254
17020.89.169.0/2420.89.169.1 to 20.89.169.25420.89.169.255254
17120.89.170.0/2420.89.170.1 to 20.89.170.25420.89.170.255254
17220.89.171.0/2420.89.171.1 to 20.89.171.25420.89.171.255254
17320.89.172.0/2420.89.172.1 to 20.89.172.25420.89.172.255254
17420.89.173.0/2420.89.173.1 to 20.89.173.25420.89.173.255254
17520.89.174.0/2420.89.174.1 to 20.89.174.25420.89.174.255254
17620.89.175.0/2420.89.175.1 to 20.89.175.25420.89.175.255254
17720.89.176.0/2420.89.176.1 to 20.89.176.25420.89.176.255254
17820.89.177.0/2420.89.177.1 to 20.89.177.25420.89.177.255254
17920.89.178.0/2420.89.178.1 to 20.89.178.25420.89.178.255254
18020.89.179.0/2420.89.179.1 to 20.89.179.25420.89.179.255254
18120.89.180.0/2420.89.180.1 to 20.89.180.25420.89.180.255254
18220.89.181.0/2420.89.181.1 to 20.89.181.25420.89.181.255254
18320.89.182.0/2420.89.182.1 to 20.89.182.25420.89.182.255254
18420.89.183.0/2420.89.183.1 to 20.89.183.25420.89.183.255254
18520.89.184.0/2420.89.184.1 to 20.89.184.25420.89.184.255254
18620.89.185.0/2420.89.185.1 to 20.89.185.25420.89.185.255254
18720.89.186.0/2420.89.186.1 to 20.89.186.25420.89.186.255254
18820.89.187.0/2420.89.187.1 to 20.89.187.25420.89.187.255254
18920.89.188.0/2420.89.188.1 to 20.89.188.25420.89.188.255254
19020.89.189.0/2420.89.189.1 to 20.89.189.25420.89.189.255254
19120.89.190.0/2420.89.190.1 to 20.89.190.25420.89.190.255254
19220.89.191.0/2420.89.191.1 to 20.89.191.25420.89.191.255254
19320.89.192.0/2420.89.192.1 to 20.89.192.25420.89.192.255254
19420.89.193.0/2420.89.193.1 to 20.89.193.25420.89.193.255254
19520.89.194.0/2420.89.194.1 to 20.89.194.25420.89.194.255254
19620.89.195.0/2420.89.195.1 to 20.89.195.25420.89.195.255254
19720.89.196.0/2420.89.196.1 to 20.89.196.25420.89.196.255254
19820.89.197.0/2420.89.197.1 to 20.89.197.25420.89.197.255254
19920.89.198.0/2420.89.198.1 to 20.89.198.25420.89.198.255254
20020.89.199.0/2420.89.199.1 to 20.89.199.25420.89.199.255254
20120.89.200.0/2420.89.200.1 to 20.89.200.25420.89.200.255254
20220.89.201.0/2420.89.201.1 to 20.89.201.25420.89.201.255254
20320.89.202.0/2420.89.202.1 to 20.89.202.25420.89.202.255254
20420.89.203.0/2420.89.203.1 to 20.89.203.25420.89.203.255254
20520.89.204.0/2420.89.204.1 to 20.89.204.25420.89.204.255254
20620.89.205.0/2420.89.205.1 to 20.89.205.25420.89.205.255254
20720.89.206.0/2420.89.206.1 to 20.89.206.25420.89.206.255254
20820.89.207.0/2420.89.207.1 to 20.89.207.25420.89.207.255254
20920.89.208.0/2420.89.208.1 to 20.89.208.25420.89.208.255254
21020.89.209.0/2420.89.209.1 to 20.89.209.25420.89.209.255254
21120.89.210.0/2420.89.210.1 to 20.89.210.25420.89.210.255254
21220.89.211.0/2420.89.211.1 to 20.89.211.25420.89.211.255254
21320.89.212.0/2420.89.212.1 to 20.89.212.25420.89.212.255254
21420.89.213.0/2420.89.213.1 to 20.89.213.25420.89.213.255254
21520.89.214.0/2420.89.214.1 to 20.89.214.25420.89.214.255254
21620.89.215.0/2420.89.215.1 to 20.89.215.25420.89.215.255254
21720.89.216.0/2420.89.216.1 to 20.89.216.25420.89.216.255254
21820.89.217.0/2420.89.217.1 to 20.89.217.25420.89.217.255254
21920.89.218.0/2420.89.218.1 to 20.89.218.25420.89.218.255254
22020.89.219.0/2420.89.219.1 to 20.89.219.25420.89.219.255254
22120.89.220.0/2420.89.220.1 to 20.89.220.25420.89.220.255254
22220.89.221.0/2420.89.221.1 to 20.89.221.25420.89.221.255254
22320.89.222.0/2420.89.222.1 to 20.89.222.25420.89.222.255254
22420.89.223.0/2420.89.223.1 to 20.89.223.25420.89.223.255254
22520.89.224.0/2420.89.224.1 to 20.89.224.25420.89.224.255254
22620.89.225.0/2420.89.225.1 to 20.89.225.25420.89.225.255254
22720.89.226.0/2420.89.226.1 to 20.89.226.25420.89.226.255254
22820.89.227.0/2420.89.227.1 to 20.89.227.25420.89.227.255254
22920.89.228.0/2420.89.228.1 to 20.89.228.25420.89.228.255254
23020.89.229.0/2420.89.229.1 to 20.89.229.25420.89.229.255254
23120.89.230.0/2420.89.230.1 to 20.89.230.25420.89.230.255254
23220.89.231.0/2420.89.231.1 to 20.89.231.25420.89.231.255254
23320.89.232.0/2420.89.232.1 to 20.89.232.25420.89.232.255254
23420.89.233.0/2420.89.233.1 to 20.89.233.25420.89.233.255254
23520.89.234.0/2420.89.234.1 to 20.89.234.25420.89.234.255254
23620.89.235.0/2420.89.235.1 to 20.89.235.25420.89.235.255254
23720.89.236.0/2420.89.236.1 to 20.89.236.25420.89.236.255254
23820.89.237.0/2420.89.237.1 to 20.89.237.25420.89.237.255254
23920.89.238.0/2420.89.238.1 to 20.89.238.25420.89.238.255254
24020.89.239.0/2420.89.239.1 to 20.89.239.25420.89.239.255254
24120.89.240.0/2420.89.240.1 to 20.89.240.25420.89.240.255254
24220.89.241.0/2420.89.241.1 to 20.89.241.25420.89.241.255254
24320.89.242.0/2420.89.242.1 to 20.89.242.25420.89.242.255254
24420.89.243.0/2420.89.243.1 to 20.89.243.25420.89.243.255254
24520.89.244.0/2420.89.244.1 to 20.89.244.25420.89.244.255254
24620.89.245.0/2420.89.245.1 to 20.89.245.25420.89.245.255254
24720.89.246.0/2420.89.246.1 to 20.89.246.25420.89.246.255254
24820.89.247.0/2420.89.247.1 to 20.89.247.25420.89.247.255254
24920.89.248.0/2420.89.248.1 to 20.89.248.25420.89.248.255254
25020.89.249.0/2420.89.249.1 to 20.89.249.25420.89.249.255254
25120.89.250.0/2420.89.250.1 to 20.89.250.25420.89.250.255254
25220.89.251.0/2420.89.251.1 to 20.89.251.25420.89.251.255254
25320.89.252.0/2420.89.252.1 to 20.89.252.25420.89.252.255254
25420.89.253.0/2420.89.253.1 to 20.89.253.25420.89.253.255254
25520.89.254.0/2420.89.254.1 to 20.89.254.25420.89.254.255254
25620.89.255.0/2420.89.255.1 to 20.89.255.25420.89.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses